#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libemailfunctions
  ${CMAKE_SOURCE_DIR}/libkmime
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE imap4.protocol imaps.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdeioslave-desktops
)


##### tdeio_imap4 (module) ########################

tde_add_kpart( tdeio_imap4
  SOURCES
    imapcommand.cpp imaplist.cpp mailaddress.cpp mimeheader.cpp
    rfcdecoder.cpp imap4.cpp imapinfo.cpp imapparser.cpp
    mailheader.cpp mimehdrline.cpp  mimeio.cpp
  LINK kmime-shared tdecore-shared tdeio-shared ${SASL_LIBRARY}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
